import { FormState } from '@dvn/core/doldurma/src/form/form-util';
import { FormHandler, FormSubmitResult } from '@dvn/core/doldurma/src/handlers/FormHandler';
export declare class UpdateUserMetadataHandler implements FormHandler {
  private api;
  private userMetadata;
  constructor(userMetadata: any);
  onSubmit(event: CustomEvent<FormState>): Promise<FormSubmitResult>;
}
